Class: Aws::Lambda::Types::ListLayerVersionsRequest

Inherits:
Struct
  • Object
show all
Defined in:
gems/aws-sdk-lambda/lib/aws-sdk-lambda/types.rb

Overview

Constant Summary collapse

SENSITIVE =
[]

Instance Attribute Summary collapse

Instance Attribute Details

#compatible_architectureString

Returns:

  • (String)


4368
4369
4370
4371
4372
4373
4374
4375
4376
# File 'gems/aws-sdk-lambda/lib/aws-sdk-lambda/types.rb', line 4368

class ListLayerVersionsRequest < Struct.new(
  :compatible_runtime,
  :layer_name,
  :marker,
  :max_items,
  :compatible_architecture)
  SENSITIVE = []
  include Aws::Structure
end

#compatible_runtimeString

A runtime identifier. For example, go1.x.

The following list includes deprecated runtimes. For more information, see Runtime deprecation policy.

Returns:

  • (String)


4368
4369
4370
4371
4372
4373
4374
4375
4376
# File 'gems/aws-sdk-lambda/lib/aws-sdk-lambda/types.rb', line 4368

class ListLayerVersionsRequest < Struct.new(
  :compatible_runtime,
  :layer_name,
  :marker,
  :max_items,
  :compatible_architecture)
  SENSITIVE = []
  include Aws::Structure
end

#layer_nameString

The name or Amazon Resource Name (ARN) of the layer.

Returns:

  • (String)


4368
4369
4370
4371
4372
4373
4374
4375
4376
# File 'gems/aws-sdk-lambda/lib/aws-sdk-lambda/types.rb', line 4368

class ListLayerVersionsRequest < Struct.new(
  :compatible_runtime,
  :layer_name,
  :marker,
  :max_items,
  :compatible_architecture)
  SENSITIVE = []
  include Aws::Structure
end

#markerString

A pagination token returned by a previous call.

Returns:

  • (String)


4368
4369
4370
4371
4372
4373
4374
4375
4376
# File 'gems/aws-sdk-lambda/lib/aws-sdk-lambda/types.rb', line 4368

class ListLayerVersionsRequest < Struct.new(
  :compatible_runtime,
  :layer_name,
  :marker,
  :max_items,
  :compatible_architecture)
  SENSITIVE = []
  include Aws::Structure
end

#max_itemsInteger

The maximum number of versions to return.

Returns:

  • (Integer)


4368
4369
4370
4371
4372
4373
4374
4375
4376
# File 'gems/aws-sdk-lambda/lib/aws-sdk-lambda/types.rb', line 4368

class ListLayerVersionsRequest < Struct.new(
  :compatible_runtime,
  :layer_name,
  :marker,
  :max_items,
  :compatible_architecture)
  SENSITIVE = []
  include Aws::Structure
end